Subject: [os2genau_digest] No. 1805
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 10 Apr 2009 00:00:36 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 09 April 2009
 Number  1805
**************************************************

Subjects for today
 
1   Realtek NIC Driver : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Realtek NIC Driver : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Realtek NIC Driver : Andrew MacIntyre <andymac at bullseye.apana dot org dot au>

**= Email   1 ==========================**

Date:  Thu, 09 Apr 2009 19:26:05 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Realtek NIC Driver

Hi all.

In our humble little home business, we are installing a new mobo into a
system which has died recently.

The mobo is a G31M3 v2 with Intel chipsets and claims to have onboard NIC
of Megabit RTL8101E.

With a PCI sniffer we get manufacturer info of Realtek but "unknown device"
model 8136 Rev 01.

Our attempts so far have failed: 
8139/8169 no go
and
we can't find 811x drivers

We are temporarily working with a plug-in SIS 900 card running at 100Mbits
but as this is a server machine, we would love to get the Gigabit card
working if that is what's fitted.

Can anyone help with drivers, please?

TIA

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Thu, 09 Apr 2009 21:52:42 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Realtek NIC Driver

John Angelico wrote:
> Hi all.
>
> In our humble little home business, we are installing a new mobo into a
> system which has died recently.
>
> The mobo is a G31M3 v2 with Intel chipsets and claims to have onboard NIC
> of Megabit RTL8101E.
>
> With a PCI sniffer we get manufacturer info of Realtek but "unknown device"
> model 8136 Rev 01.
>
> Our attempts so far have failed: 
> 8139/8169 no go
> and
> we can't find 811x drivers
>
> We are temporarily working with a plug-in SIS 900 card running at 100Mbits
> but as this is a server machine, we would love to get the Gigabit card
> working if that is what's fitted.
>
> Can anyone help with drivers, please?
>
> TIA
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________
>   

Hi John,

 As you will see on the direct e-mail from the attached graphic files, I 
am using an onboard realtek 81xx chipset here and I'm using the  8139 
driver that comes with eCS. In any case I have attached "several" 
Realtek NIC drivers to the direct mail as well - hopefully one of these 
will work for you.

Cheers/2

Ed.

[attachments have been removed]
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Thu, 09 Apr 2009 21:58:42 +1000
From:  Andrew MacIntyre <andymac at bullseye.apana dot org dot au>
Subject:  Re:  Realtek NIC Driver

John Angelico wrote:
> Hi all.
> 
> In our humble little home business, we are installing a new mobo into a
> system which has died recently.
> 
> The mobo is a G31M3 v2 with Intel chipsets and claims to have onboard NIC
> of Megabit RTL8101E.
> 
> With a PCI sniffer we get manufacturer info of Realtek but "unknown device"
> model 8136 Rev 01.
> 
> Our attempts so far have failed: 
> 8139/8169 no go
> and
> we can't find 811x drivers
> 
> We are temporarily working with a plug-in SIS 900 card running at 100Mbits
> but as this is a server machine, we would love to get the Gigabit card
> working if that is what's fitted.
> 
> Can anyone help with drivers, please?

Sadly, the many and varied versions of recent Realtek chips cause driver
writers loads of grief.  You might get lucky with the driver at
http://www.os2warp.be/index2.php?name=gigabitdrvs#4

As a server machine, in all seriousness I'd advise avoiding Realtek if
there's any possibility of using something else.  Second hand Intel cards
are relatively inexpensive and have much better performance and drivers.
I picked up a couple of NIB Intel Pro/1000 MT PCI adapters off ebay for
about $40 each posted, which Intel still provides OS/2 drivers for.  I
also found a PCIe x1 Marvell based card on ebay supported by a driver
from the above source, but haven't had the opportunity to test it yet...
Likewise a VIA 6122 based card...

Happy Easter,
Andrew.

-- 
-------------------------------------------------------------------------
Andrew I MacIntyre                     "These thoughts are mine alone..."
E-mail: andymac at bullseye.apana dot org dot au  (pref) | Snail: PO Box 370
        andymac at pcug dot org dot au             (alt) |        Belconnen ACT 2616
Web:    http://www.andymac dot org/               |        Australia
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===